
_Spi_Ethernet_UserTCP:

;ETHSPI Sleep mode.mbas,95 :: 		bitMask as byte                ' for bit mask
;ETHSPI Sleep mode.mbas,97 :: 		result = 0
	CLRF        Spi_Ethernet_UserTCP_local_result+0 
	CLRF        Spi_Ethernet_UserTCP_local_result+1 
;ETHSPI Sleep mode.mbas,104 :: 		if(localPort <> 80) then            ' I listen only to web request on port 80
	MOVLW       0
	XORWF       FARG_Spi_Ethernet_UserTCP_localPort+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP67
	MOVLW       80
	XORWF       FARG_Spi_Ethernet_UserTCP_localPort+0, 0 
L__Spi_Ethernet_UserTCP67:
	BTFSC       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP2
;ETHSPI Sleep mode.mbas,105 :: 		result = 0
	CLRF        Spi_Ethernet_UserTCP_local_result+0 
	CLRF        Spi_Ethernet_UserTCP_local_result+1 
;ETHSPI Sleep mode.mbas,106 :: 		exit
	GOTO        L_end__Spi_Ethernet_UserTCP
L__Spi_Ethernet_UserTCP2:
;ETHSPI Sleep mode.mbas,110 :: 		for i = 0 to 10
	CLRF        Spi_Ethernet_UserTCP_i+0 
	CLRF        Spi_Ethernet_UserTCP_i+1 
L__Spi_Ethernet_UserTCP5:
;ETHSPI Sleep mode.mbas,111 :: 		getRequest[i] = Spi_Ethernet_getByte()
	MOVLW       _getRequest+0
	ADDWF       Spi_Ethernet_UserTCP_i+0, 0 
	MOVWF       FLOC__Spi_Ethernet_UserTCP+0 
	MOVLW       hi_addr(_getRequest+0)
	ADDWFC      Spi_Ethernet_UserTCP_i+1, 0 
	MOVWF       FLOC__Spi_Ethernet_UserTCP+1 
	CALL        _SPI_Ethernet_getByte+0, 0
	MOVFF       FLOC__Spi_Ethernet_UserTCP+0, FSR1
	MOVFF       FLOC__Spi_Ethernet_UserTCP+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;ETHSPI Sleep mode.mbas,112 :: 		next i
	MOVLW       0
	XORWF       Spi_Ethernet_UserTCP_i+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP68
	MOVLW       10
	XORWF       Spi_Ethernet_UserTCP_i+0, 0 
L__Spi_Ethernet_UserTCP68:
	BTFSC       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP8
	INFSNZ      Spi_Ethernet_UserTCP_i+0, 1 
	INCF        Spi_Ethernet_UserTCP_i+1, 1 
	GOTO        L__Spi_Ethernet_UserTCP5
L__Spi_Ethernet_UserTCP8:
;ETHSPI Sleep mode.mbas,113 :: 		getRequest[i] = 0
	MOVLW       _getRequest+0
	ADDWF       Spi_Ethernet_UserTCP_i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_getRequest+0)
	ADDWFC      Spi_Ethernet_UserTCP_i+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;ETHSPI Sleep mode.mbas,116 :: 		for i = 0 to 4
	CLRF        Spi_Ethernet_UserTCP_i+0 
	CLRF        Spi_Ethernet_UserTCP_i+1 
L__Spi_Ethernet_UserTCP10:
;ETHSPI Sleep mode.mbas,117 :: 		tmp[i] = httpMethod[i]
	MOVLW       _tmp+0
	ADDWF       Spi_Ethernet_UserTCP_i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_tmp+0)
	ADDWFC      Spi_Ethernet_UserTCP_i+1, 0 
	MOVWF       FSR1H 
	MOVLW       _httpMethod+0
	ADDWF       Spi_Ethernet_UserTCP_i+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_httpMethod+0)
	ADDWFC      Spi_Ethernet_UserTCP_i+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_httpMethod+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;ETHSPI Sleep mode.mbas,118 :: 		next i
	MOVLW       0
	XORWF       Spi_Ethernet_UserTCP_i+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP69
	MOVLW       4
	XORWF       Spi_Ethernet_UserTCP_i+0, 0 
L__Spi_Ethernet_UserTCP69:
	BTFSC       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP13
	INFSNZ      Spi_Ethernet_UserTCP_i+0, 1 
	INCF        Spi_Ethernet_UserTCP_i+1, 1 
	GOTO        L__Spi_Ethernet_UserTCP10
L__Spi_Ethernet_UserTCP13:
;ETHSPI Sleep mode.mbas,120 :: 		if(memcmp(@getRequest, @tmp, 5) <> 0) then  ' only GET method is supported here
	MOVLW       _getRequest+0
	MOVWF       FARG_memcmp_p1+0 
	MOVLW       hi_addr(_getRequest+0)
	MOVWF       FARG_memcmp_p1+1 
	MOVLW       _tmp+0
	MOVWF       FARG_memcmp_p2+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_memcmp_p2+1 
	MOVLW       5
	MOVWF       FARG_memcmp_n+0 
	MOVLW       0
	MOVWF       FARG_memcmp_n+1 
	CALL        _memcmp+0, 0
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP70
	MOVLW       0
	XORWF       R0, 0 
L__Spi_Ethernet_UserTCP70:
	BTFSC       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP15
;ETHSPI Sleep mode.mbas,121 :: 		result = 0
	CLRF        Spi_Ethernet_UserTCP_local_result+0 
	CLRF        Spi_Ethernet_UserTCP_local_result+1 
;ETHSPI Sleep mode.mbas,122 :: 		exit
	GOTO        L_end__Spi_Ethernet_UserTCP
L__Spi_Ethernet_UserTCP15:
;ETHSPI Sleep mode.mbas,125 :: 		Inc(httpCounter)                            ' one more request done
	INFSNZ      _httpCounter+0, 1 
	INCF        _httpCounter+1, 1 
;ETHSPI Sleep mode.mbas,127 :: 		if(getRequest[5] = "s") then                ' if request path name starts with s, store dynamic data in transmit buffer
	MOVF        _getRequest+5, 0 
	XORLW       115
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP18
;ETHSPI Sleep mode.mbas,131 :: 		result = SPI_Ethernet_putConstString(@httpHeader)                    ' HTTP header
	MOVLW       _httpHeader+0
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+0 
	MOVLW       hi_addr(_httpHeader+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+1 
	MOVLW       higher_addr(_httpHeader+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+2 
	CALL        _SPI_Ethernet_putConstString+0, 0
	MOVF        R0, 0 
	MOVWF       Spi_Ethernet_UserTCP_local_result+0 
	MOVF        R1, 0 
	MOVWF       Spi_Ethernet_UserTCP_local_result+1 
;ETHSPI Sleep mode.mbas,132 :: 		result = result + SPI_Ethernet_putConstString(@httpMimeTypeScript)   ' with text MIME type
	MOVLW       _httpMimeTypeScript+0
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+0 
	MOVLW       hi_addr(_httpMimeTypeScript+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+1 
	MOVLW       higher_addr(_httpMimeTypeScript+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+2 
	CALL        _SPI_Ethernet_putConstString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,135 :: 		WordToStr(ADC_Read(2), dyna)
	MOVLW       2
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _dyna+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;ETHSPI Sleep mode.mbas,136 :: 		tmp = "var AN2="
	MOVLW       118
	MOVWF       _tmp+0 
	MOVLW       97
	MOVWF       _tmp+1 
	MOVLW       114
	MOVWF       _tmp+2 
	MOVLW       32
	MOVWF       _tmp+3 
	MOVLW       65
	MOVWF       _tmp+4 
	MOVLW       78
	MOVWF       _tmp+5 
	MOVLW       50
	MOVWF       _tmp+6 
	MOVLW       61
	MOVWF       _tmp+7 
	CLRF        _tmp+8 
;ETHSPI Sleep mode.mbas,137 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,138 :: 		result = result + SPI_Ethernet_putString(@dyna)
	MOVLW       _dyna+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,139 :: 		tmp = ";"
	MOVLW       59
	MOVWF       _tmp+0 
	CLRF        _tmp+1 
;ETHSPI Sleep mode.mbas,140 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,143 :: 		WordToStr(ADC_Read(3), dyna)
	MOVLW       3
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _dyna+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;ETHSPI Sleep mode.mbas,144 :: 		tmp = "var AN3="
	MOVLW       118
	MOVWF       _tmp+0 
	MOVLW       97
	MOVWF       _tmp+1 
	MOVLW       114
	MOVWF       _tmp+2 
	MOVLW       32
	MOVWF       _tmp+3 
	MOVLW       65
	MOVWF       _tmp+4 
	MOVLW       78
	MOVWF       _tmp+5 
	MOVLW       51
	MOVWF       _tmp+6 
	MOVLW       61
	MOVWF       _tmp+7 
	CLRF        _tmp+8 
;ETHSPI Sleep mode.mbas,145 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,146 :: 		result = result + SPI_Ethernet_putString(@dyna)
	MOVLW       _dyna+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,147 :: 		tmp = ";"
	MOVLW       59
	MOVWF       _tmp+0 
	CLRF        _tmp+1 
;ETHSPI Sleep mode.mbas,148 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,151 :: 		tmp = "var PORTB= "
	MOVLW       118
	MOVWF       _tmp+0 
	MOVLW       97
	MOVWF       _tmp+1 
	MOVLW       114
	MOVWF       _tmp+2 
	MOVLW       32
	MOVWF       _tmp+3 
	MOVLW       80
	MOVWF       _tmp+4 
	MOVLW       79
	MOVWF       _tmp+5 
	MOVLW       82
	MOVWF       _tmp+6 
	MOVLW       84
	MOVWF       _tmp+7 
	MOVLW       66
	MOVWF       _tmp+8 
	MOVLW       61
	MOVWF       _tmp+9 
	MOVLW       32
	MOVWF       _tmp+10 
	CLRF        _tmp+11 
;ETHSPI Sleep mode.mbas,152 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,153 :: 		WordToStr(PORTB, dyna)
	MOVF        PORTB+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVLW       0
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _dyna+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;ETHSPI Sleep mode.mbas,154 :: 		result = result + SPI_Ethernet_putString(@dyna)
	MOVLW       _dyna+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,155 :: 		tmp = ";"
	MOVLW       59
	MOVWF       _tmp+0 
	CLRF        _tmp+1 
;ETHSPI Sleep mode.mbas,156 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,159 :: 		tmp = "var PORTD= "
	MOVLW       118
	MOVWF       _tmp+0 
	MOVLW       97
	MOVWF       _tmp+1 
	MOVLW       114
	MOVWF       _tmp+2 
	MOVLW       32
	MOVWF       _tmp+3 
	MOVLW       80
	MOVWF       _tmp+4 
	MOVLW       79
	MOVWF       _tmp+5 
	MOVLW       82
	MOVWF       _tmp+6 
	MOVLW       84
	MOVWF       _tmp+7 
	MOVLW       68
	MOVWF       _tmp+8 
	MOVLW       61
	MOVWF       _tmp+9 
	MOVLW       32
	MOVWF       _tmp+10 
	CLRF        _tmp+11 
;ETHSPI Sleep mode.mbas,160 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,161 :: 		WordToStr(PORTD, dyna)
	MOVF        PORTD+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVLW       0
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _dyna+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;ETHSPI Sleep mode.mbas,162 :: 		result = result + SPI_Ethernet_putString(@dyna)
	MOVLW       _dyna+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,163 :: 		tmp = ";"
	MOVLW       59
	MOVWF       _tmp+0 
	CLRF        _tmp+1 
;ETHSPI Sleep mode.mbas,164 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,167 :: 		WordToStr(httpCounter, dyna)
	MOVF        _httpCounter+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        _httpCounter+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _dyna+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;ETHSPI Sleep mode.mbas,168 :: 		tmp = "var REQ=   "
	MOVLW       118
	MOVWF       _tmp+0 
	MOVLW       97
	MOVWF       _tmp+1 
	MOVLW       114
	MOVWF       _tmp+2 
	MOVLW       32
	MOVWF       _tmp+3 
	MOVLW       82
	MOVWF       _tmp+4 
	MOVLW       69
	MOVWF       _tmp+5 
	MOVLW       81
	MOVWF       _tmp+6 
	MOVLW       61
	MOVWF       _tmp+7 
	MOVLW       32
	MOVWF       _tmp+8 
	MOVLW       32
	MOVWF       _tmp+9 
	MOVLW       32
	MOVWF       _tmp+10 
	CLRF        _tmp+11 
;ETHSPI Sleep mode.mbas,169 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,170 :: 		result = result + SPI_Ethernet_putString(@dyna)
	MOVLW       _dyna+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,171 :: 		tmp = ";"
	MOVLW       59
	MOVWF       _tmp+0 
	CLRF        _tmp+1 
;ETHSPI Sleep mode.mbas,172 :: 		result = result + SPI_Ethernet_putString(@tmp)
	MOVLW       _tmp+0
	MOVWF       FARG_SPI_Ethernet_putString_ptr+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_SPI_Ethernet_putString_ptr+1 
	CALL        _SPI_Ethernet_putString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
	GOTO        L__Spi_Ethernet_UserTCP19
;ETHSPI Sleep mode.mbas,173 :: 		else
L__Spi_Ethernet_UserTCP18:
;ETHSPI Sleep mode.mbas,174 :: 		if(getRequest[5] = "t") then             ' if request path name starts with t, toggle PORTD (LED) bit number that comes after
	MOVF        _getRequest+5, 0 
	XORLW       116
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP21
;ETHSPI Sleep mode.mbas,176 :: 		if(isdigit(getRequest[6]) <> 0) then   ' if 0 <= bit number <= 9, bits 8 & 9 does not exist but does not matter
	MOVF        _getRequest+6, 0 
	MOVWF       FARG_isdigit_character+0 
	CALL        _isdigit+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP24
;ETHSPI Sleep mode.mbas,177 :: 		bitMask = getRequest[6] - "0"        ' convert ASCII to integer
	MOVLW       48
	SUBWF       _getRequest+6, 0 
	MOVWF       R0 
;ETHSPI Sleep mode.mbas,178 :: 		bitMask = 1 << bitMask               ' create bit mask
	MOVF        R0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R0 
	MOVF        R1, 0 
L__Spi_Ethernet_UserTCP71:
	BZ          L__Spi_Ethernet_UserTCP72
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__Spi_Ethernet_UserTCP71
L__Spi_Ethernet_UserTCP72:
;ETHSPI Sleep mode.mbas,179 :: 		PORTD   = PORTD xor bitMask          ' toggle PORTD with xor operator
	MOVF        R0, 0 
	XORWF       PORTD+0, 1 
L__Spi_Ethernet_UserTCP24:
;ETHSPI Sleep mode.mbas,180 :: 		end if
L__Spi_Ethernet_UserTCP21:
;ETHSPI Sleep mode.mbas,182 :: 		end if
L__Spi_Ethernet_UserTCP19:
;ETHSPI Sleep mode.mbas,184 :: 		if(result = 0) then ' what do to by default
	MOVLW       0
	XORWF       Spi_Ethernet_UserTCP_local_result+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP73
	MOVLW       0
	XORWF       Spi_Ethernet_UserTCP_local_result+0, 0 
L__Spi_Ethernet_UserTCP73:
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserTCP27
;ETHSPI Sleep mode.mbas,185 :: 		result = SPI_Ethernet_putConstString(@httpHeader)  ' HTTP header
	MOVLW       _httpHeader+0
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+0 
	MOVLW       hi_addr(_httpHeader+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+1 
	MOVLW       higher_addr(_httpHeader+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+2 
	CALL        _SPI_Ethernet_putConstString+0, 0
	MOVF        R0, 0 
	MOVWF       Spi_Ethernet_UserTCP_local_result+0 
	MOVF        R1, 0 
	MOVWF       Spi_Ethernet_UserTCP_local_result+1 
;ETHSPI Sleep mode.mbas,186 :: 		result = result + SPI_Ethernet_putConstString(@httpMimeTypeHTML)  ' with HTML MIME type
	MOVLW       _httpMimeTypeHTML+0
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+0 
	MOVLW       hi_addr(_httpMimeTypeHTML+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+1 
	MOVLW       higher_addr(_httpMimeTypeHTML+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+2 
	CALL        _SPI_Ethernet_putConstString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,187 :: 		result = result + SPI_Ethernet_putConstString(@indexPage)         ' HTML page first part
	MOVLW       _indexPage+0
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+0 
	MOVLW       hi_addr(_indexPage+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+1 
	MOVLW       higher_addr(_indexPage+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+2 
	CALL        _SPI_Ethernet_putConstString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
;ETHSPI Sleep mode.mbas,188 :: 		result = result + SPI_Ethernet_putConstString(@indexPage2)        ' HTML page second part
	MOVLW       _indexPage2+0
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+0 
	MOVLW       hi_addr(_indexPage2+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+1 
	MOVLW       higher_addr(_indexPage2+0)
	MOVWF       FARG_SPI_Ethernet_putConstString_ptr+2 
	CALL        _SPI_Ethernet_putConstString+0, 0
	MOVF        R0, 0 
	ADDWF       Spi_Ethernet_UserTCP_local_result+0, 1 
	MOVF        R1, 0 
	ADDWFC      Spi_Ethernet_UserTCP_local_result+1, 1 
L__Spi_Ethernet_UserTCP27:
;ETHSPI Sleep mode.mbas,191 :: 		end sub
L_end__Spi_Ethernet_UserTCP:
	MOVF        Spi_Ethernet_UserTCP_local_result+0, 0 
	MOVWF       R0 
	MOVF        Spi_Ethernet_UserTCP_local_result+1, 0 
	MOVWF       R1 
L_end_Spi_Ethernet_UserTCP:
	RETURN      0
; end of _Spi_Ethernet_UserTCP

_Spi_Ethernet_UserUDP:

;ETHSPI Sleep mode.mbas,204 :: 		dim remotePort, destPort, reqLength as word, dim byref flags as TEthPktFlags) as word
;ETHSPI Sleep mode.mbas,205 :: 		result = 0
	CLRF        Spi_Ethernet_UserUDP_local_result+0 
	CLRF        Spi_Ethernet_UserUDP_local_result+1 
;ETHSPI Sleep mode.mbas,207 :: 		byteToStr(remoteHost[0], dyna)  ' first IP address byte
	MOVFF       FARG_Spi_Ethernet_UserUDP_remoteHost+0, FSR0
	MOVFF       FARG_Spi_Ethernet_UserUDP_remoteHost+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _dyna+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;ETHSPI Sleep mode.mbas,208 :: 		dyna[3] = "."
	MOVLW       46
	MOVWF       _dyna+3 
;ETHSPI Sleep mode.mbas,209 :: 		byteToStr(remoteHost[1], tmp)   ' second
	MOVLW       1
	ADDWF       FARG_Spi_Ethernet_UserUDP_remoteHost+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_Spi_Ethernet_UserUDP_remoteHost+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _tmp+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;ETHSPI Sleep mode.mbas,210 :: 		dyna[4] = tmp[0]
	MOVF        _tmp+0, 0 
	MOVWF       _dyna+4 
;ETHSPI Sleep mode.mbas,211 :: 		dyna[5] = tmp[1]
	MOVF        _tmp+1, 0 
	MOVWF       _dyna+5 
;ETHSPI Sleep mode.mbas,212 :: 		dyna[6] = tmp[2]
	MOVF        _tmp+2, 0 
	MOVWF       _dyna+6 
;ETHSPI Sleep mode.mbas,213 :: 		dyna[7] = "."
	MOVLW       46
	MOVWF       _dyna+7 
;ETHSPI Sleep mode.mbas,214 :: 		byteToStr(remoteHost[2], tmp)   ' second
	MOVLW       2
	ADDWF       FARG_Spi_Ethernet_UserUDP_remoteHost+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_Spi_Ethernet_UserUDP_remoteHost+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _tmp+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;ETHSPI Sleep mode.mbas,215 :: 		dyna[8] = tmp[0]
	MOVF        _tmp+0, 0 
	MOVWF       _dyna+8 
;ETHSPI Sleep mode.mbas,216 :: 		dyna[9] = tmp[1]
	MOVF        _tmp+1, 0 
	MOVWF       _dyna+9 
;ETHSPI Sleep mode.mbas,217 :: 		dyna[10] = tmp[2]
	MOVF        _tmp+2, 0 
	MOVWF       _dyna+10 
;ETHSPI Sleep mode.mbas,218 :: 		dyna[11] = "."
	MOVLW       46
	MOVWF       _dyna+11 
;ETHSPI Sleep mode.mbas,219 :: 		byteToStr(remoteHost[3], tmp)   ' second
	MOVLW       3
	ADDWF       FARG_Spi_Ethernet_UserUDP_remoteHost+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_Spi_Ethernet_UserUDP_remoteHost+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _tmp+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;ETHSPI Sleep mode.mbas,220 :: 		dyna[12] = tmp[0]
	MOVF        _tmp+0, 0 
	MOVWF       _dyna+12 
;ETHSPI Sleep mode.mbas,221 :: 		dyna[13] = tmp[1]
	MOVF        _tmp+1, 0 
	MOVWF       _dyna+13 
;ETHSPI Sleep mode.mbas,222 :: 		dyna[14] = tmp[2]
	MOVF        _tmp+2, 0 
	MOVWF       _dyna+14 
;ETHSPI Sleep mode.mbas,224 :: 		dyna[15] = ":"                 ' add separator
	MOVLW       58
	MOVWF       _dyna+15 
;ETHSPI Sleep mode.mbas,227 :: 		WordToStr(remotePort, tmp)
	MOVF        FARG_Spi_Ethernet_UserUDP_remotePort+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        FARG_Spi_Ethernet_UserUDP_remotePort+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _tmp+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;ETHSPI Sleep mode.mbas,228 :: 		dyna[16] = tmp[0]
	MOVF        _tmp+0, 0 
	MOVWF       _dyna+16 
;ETHSPI Sleep mode.mbas,229 :: 		dyna[17] = tmp[1]
	MOVF        _tmp+1, 0 
	MOVWF       _dyna+17 
;ETHSPI Sleep mode.mbas,230 :: 		dyna[18] = tmp[2]
	MOVF        _tmp+2, 0 
	MOVWF       _dyna+18 
;ETHSPI Sleep mode.mbas,231 :: 		dyna[19] = tmp[3]
	MOVF        _tmp+3, 0 
	MOVWF       _dyna+19 
;ETHSPI Sleep mode.mbas,232 :: 		dyna[20] = tmp[4]
	MOVF        _tmp+4, 0 
	MOVWF       _dyna+20 
;ETHSPI Sleep mode.mbas,233 :: 		dyna[21] = "["
	MOVLW       91
	MOVWF       _dyna+21 
;ETHSPI Sleep mode.mbas,234 :: 		WordToStr(destPort, tmp)
	MOVF        FARG_Spi_Ethernet_UserUDP_destPort+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        FARG_Spi_Ethernet_UserUDP_destPort+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _tmp+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_tmp+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;ETHSPI Sleep mode.mbas,235 :: 		dyna[22] = tmp[0]
	MOVF        _tmp+0, 0 
	MOVWF       _dyna+22 
;ETHSPI Sleep mode.mbas,236 :: 		dyna[23] = tmp[1]
	MOVF        _tmp+1, 0 
	MOVWF       _dyna+23 
;ETHSPI Sleep mode.mbas,237 :: 		dyna[24] = tmp[2]
	MOVF        _tmp+2, 0 
	MOVWF       _dyna+24 
;ETHSPI Sleep mode.mbas,238 :: 		dyna[25] = tmp[3]
	MOVF        _tmp+3, 0 
	MOVWF       _dyna+25 
;ETHSPI Sleep mode.mbas,239 :: 		dyna[26] = tmp[4]
	MOVF        _tmp+4, 0 
	MOVWF       _dyna+26 
;ETHSPI Sleep mode.mbas,240 :: 		dyna[27] = "]"
	MOVLW       93
	MOVWF       _dyna+27 
;ETHSPI Sleep mode.mbas,241 :: 		dyna[28] = 0
	CLRF        _dyna+28 
;ETHSPI Sleep mode.mbas,244 :: 		result = 28 + reqLength
	MOVLW       28
	ADDWF       FARG_Spi_Ethernet_UserUDP_reqLength+0, 0 
	MOVWF       Spi_Ethernet_UserUDP_local_result+0 
	MOVLW       0
	ADDWFC      FARG_Spi_Ethernet_UserUDP_reqLength+1, 0 
	MOVWF       Spi_Ethernet_UserUDP_local_result+1 
;ETHSPI Sleep mode.mbas,247 :: 		SPI_Ethernet_putBytes(@dyna, 28)
	MOVLW       _dyna+0
	MOVWF       FARG_SPI_Ethernet_putBytes_ptr+0 
	MOVLW       hi_addr(_dyna+0)
	MOVWF       FARG_SPI_Ethernet_putBytes_ptr+1 
	MOVLW       28
	MOVWF       FARG_SPI_Ethernet_putBytes_n+0 
	MOVLW       0
	MOVWF       FARG_SPI_Ethernet_putBytes_n+1 
	CALL        _SPI_Ethernet_putBytes+0, 0
;ETHSPI Sleep mode.mbas,250 :: 		while(reqLength <> 0)
L__Spi_Ethernet_UserUDP31:
	MOVLW       0
	XORWF       FARG_Spi_Ethernet_UserUDP_reqLength+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserUDP75
	MOVLW       0
	XORWF       FARG_Spi_Ethernet_UserUDP_reqLength+0, 0 
L__Spi_Ethernet_UserUDP75:
	BTFSC       STATUS+0, 2 
	GOTO        L__Spi_Ethernet_UserUDP32
;ETHSPI Sleep mode.mbas,251 :: 		SPI_Ethernet_putByte(SPI_Ethernet_getByte())
	CALL        _SPI_Ethernet_getByte+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_SPI_Ethernet_putByte_v+0 
	CALL        _SPI_Ethernet_putByte+0, 0
;ETHSPI Sleep mode.mbas,252 :: 		reqLength = reqLength - 1
	MOVLW       1
	SUBWF       FARG_Spi_Ethernet_UserUDP_reqLength+0, 1 
	MOVLW       0
	SUBWFB      FARG_Spi_Ethernet_UserUDP_reqLength+1, 1 
;ETHSPI Sleep mode.mbas,253 :: 		wend
	GOTO        L__Spi_Ethernet_UserUDP31
L__Spi_Ethernet_UserUDP32:
;ETHSPI Sleep mode.mbas,255 :: 		end sub
	MOVF        Spi_Ethernet_UserUDP_local_result+0, 0 
	MOVWF       R0 
	MOVF        Spi_Ethernet_UserUDP_local_result+1, 0 
	MOVWF       R1 
L_end_Spi_Ethernet_UserUDP:
	RETURN      0
; end of _Spi_Ethernet_UserUDP

_EthWakeup:

;ETHSPI Sleep mode.mbas,263 :: 		ESTAT as byte
;ETHSPI Sleep mode.mbas,265 :: 		SetBit(portd,1)
	BSF         PORTD+0, 1 
;ETHSPI Sleep mode.mbas,267 :: 		ECON2 = spi_ethernet_readreg(0x1E)
	MOVLW       30
	MOVWF       FARG_SPI_Ethernet_readReg_addr+0 
	CALL        _SPI_Ethernet_readReg+0, 0
	MOVF        R0, 0 
	MOVWF       EthWakeup_ECON2+0 
;ETHSPI Sleep mode.mbas,268 :: 		ECON2.5 = 0
	BCF         EthWakeup_ECON2+0, 5 
;ETHSPI Sleep mode.mbas,269 :: 		spi_ethernet_writereg(0x1E,ECON2)
	MOVLW       30
	MOVWF       FARG_SPI_Ethernet_writeReg_addr+0 
	MOVF        EthWakeup_ECON2+0, 0 
	MOVWF       FARG_SPI_Ethernet_writeReg_v+0 
	CALL        _SPI_Ethernet_writeReg+0, 0
;ETHSPI Sleep mode.mbas,272 :: 		do
L__EthWakeup36:
;ETHSPI Sleep mode.mbas,273 :: 		ESTAT = spi_ethernet_readreg(0x1D)
	MOVLW       29
	MOVWF       FARG_SPI_Ethernet_readReg_addr+0 
	CALL        _SPI_Ethernet_readReg+0, 0
	MOVF        R0, 0 
	MOVWF       EthWakeup_ESTAT+0 
;ETHSPI Sleep mode.mbas,274 :: 		loop until  (ESTAT.0 = 1)
	BTFSC       EthWakeup_ESTAT+0, 0 
	GOTO        L__EthWakeup39
	GOTO        L__EthWakeup36
L__EthWakeup39:
;ETHSPI Sleep mode.mbas,276 :: 		ECON1 = spi_ethernet_readreg(0x1F)
	MOVLW       31
	MOVWF       FARG_SPI_Ethernet_readReg_addr+0 
	CALL        _SPI_Ethernet_readReg+0, 0
	MOVF        R0, 0 
	MOVWF       EthWakeup_ECON1+0 
;ETHSPI Sleep mode.mbas,277 :: 		ECON1.2 = 1
	BSF         EthWakeup_ECON1+0, 2 
;ETHSPI Sleep mode.mbas,278 :: 		spi_ethernet_writereg(0x1F,ECON1)
	MOVLW       31
	MOVWF       FARG_SPI_Ethernet_writeReg_addr+0 
	MOVF        EthWakeup_ECON1+0, 0 
	MOVWF       FARG_SPI_Ethernet_writeReg_v+0 
	CALL        _SPI_Ethernet_writeReg+0, 0
;ETHSPI Sleep mode.mbas,280 :: 		end sub
L_end_EthWakeup:
	RETURN      0
; end of _EthWakeup

_EthGotoSleep:

;ETHSPI Sleep mode.mbas,288 :: 		ESTAT as byte
;ETHSPI Sleep mode.mbas,291 :: 		do
L__EthGotoSleep42:
;ETHSPI Sleep mode.mbas,292 :: 		ESTAT = spi_ethernet_readreg(0x1D)
	MOVLW       29
	MOVWF       FARG_SPI_Ethernet_readReg_addr+0 
	CALL        _SPI_Ethernet_readReg+0, 0
	MOVF        R0, 0 
	MOVWF       EthGotoSleep_ESTAT+0 
;ETHSPI Sleep mode.mbas,293 :: 		loop until  (ESTAT.2 = 0)
	BTFSS       EthGotoSleep_ESTAT+0, 2 
	GOTO        L__EthGotoSleep45
	GOTO        L__EthGotoSleep42
L__EthGotoSleep45:
;ETHSPI Sleep mode.mbas,295 :: 		ECON1 = spi_ethernet_readreg(0x1F)
	MOVLW       31
	MOVWF       FARG_SPI_Ethernet_readReg_addr+0 
	CALL        _SPI_Ethernet_readReg+0, 0
	MOVF        R0, 0 
	MOVWF       EthGotoSleep_ECON1+0 
;ETHSPI Sleep mode.mbas,296 :: 		ECON1.2 = 0
	BCF         EthGotoSleep_ECON1+0, 2 
;ETHSPI Sleep mode.mbas,297 :: 		spi_ethernet_writereg(0x1F,ECON1)
	MOVLW       31
	MOVWF       FARG_SPI_Ethernet_writeReg_addr+0 
	MOVF        EthGotoSleep_ECON1+0, 0 
	MOVWF       FARG_SPI_Ethernet_writeReg_v+0 
	CALL        _SPI_Ethernet_writeReg+0, 0
;ETHSPI Sleep mode.mbas,300 :: 		do
L__EthGotoSleep47:
;ETHSPI Sleep mode.mbas,301 :: 		ECON1 = spi_ethernet_readreg(0x1F)
	MOVLW       31
	MOVWF       FARG_SPI_Ethernet_readReg_addr+0 
	CALL        _SPI_Ethernet_readReg+0, 0
	MOVF        R0, 0 
	MOVWF       EthGotoSleep_ECON1+0 
;ETHSPI Sleep mode.mbas,302 :: 		loop until  (ECON1.3 = 0)
	BTFSS       EthGotoSleep_ECON1+0, 3 
	GOTO        L__EthGotoSleep50
	GOTO        L__EthGotoSleep47
L__EthGotoSleep50:
;ETHSPI Sleep mode.mbas,304 :: 		ECON2 = spi_ethernet_readreg(0x1E)
	MOVLW       30
	MOVWF       FARG_SPI_Ethernet_readReg_addr+0 
	CALL        _SPI_Ethernet_readReg+0, 0
	MOVF        R0, 0 
	MOVWF       EthGotoSleep_ECON2+0 
;ETHSPI Sleep mode.mbas,305 :: 		ECON2.5 = 1
	BSF         EthGotoSleep_ECON2+0, 5 
;ETHSPI Sleep mode.mbas,306 :: 		spi_ethernet_writereg(0x1E,ECON2)
	MOVLW       30
	MOVWF       FARG_SPI_Ethernet_writeReg_addr+0 
	MOVF        EthGotoSleep_ECON2+0, 0 
	MOVWF       FARG_SPI_Ethernet_writeReg_v+0 
	CALL        _SPI_Ethernet_writeReg+0, 0
;ETHSPI Sleep mode.mbas,308 :: 		end sub
L_end_EthGotoSleep:
	RETURN      0
; end of _EthGotoSleep

_main:

;ETHSPI Sleep mode.mbas,310 :: 		main:
;ETHSPI Sleep mode.mbas,314 :: 		PORTA = 0
	CLRF        PORTA+0 
;ETHSPI Sleep mode.mbas,315 :: 		TRISA = 0xff           ' set PORTA as input for ADC
	MOVLW       255
	MOVWF       TRISA+0 
;ETHSPI Sleep mode.mbas,316 :: 		PORTB  = 0
	CLRF        PORTB+0 
;ETHSPI Sleep mode.mbas,317 :: 		TRISB  = 0xff          ' set PORTB as input for buttons
	MOVLW       255
	MOVWF       TRISB+0 
;ETHSPI Sleep mode.mbas,318 :: 		PORTD = 0
	CLRF        PORTD+0 
;ETHSPI Sleep mode.mbas,319 :: 		TRISD = 0              ' set PORTD as output
	CLRF        TRISD+0 
;ETHSPI Sleep mode.mbas,321 :: 		httpCounter = 0
	CLRF        _httpCounter+0 
	CLRF        _httpCounter+1 
;ETHSPI Sleep mode.mbas,324 :: 		myMacAddr[0] = 0x00
	CLRF        _myMacAddr+0 
;ETHSPI Sleep mode.mbas,325 :: 		myMacAddr[1] = 0x14
	MOVLW       20
	MOVWF       _myMacAddr+1 
;ETHSPI Sleep mode.mbas,326 :: 		myMacAddr[2] = 0xA5
	MOVLW       165
	MOVWF       _myMacAddr+2 
;ETHSPI Sleep mode.mbas,327 :: 		myMacAddr[3] = 0x76
	MOVLW       118
	MOVWF       _myMacAddr+3 
;ETHSPI Sleep mode.mbas,328 :: 		myMacAddr[4] = 0x19
	MOVLW       25
	MOVWF       _myMacAddr+4 
;ETHSPI Sleep mode.mbas,329 :: 		myMacAddr[5] = 0x3F
	MOVLW       63
	MOVWF       _myMacAddr+5 
;ETHSPI Sleep mode.mbas,332 :: 		myIpAddr[0] = 192
	MOVLW       192
	MOVWF       _myIpAddr+0 
;ETHSPI Sleep mode.mbas,333 :: 		myIpAddr[1] = 168
	MOVLW       168
	MOVWF       _myIpAddr+1 
;ETHSPI Sleep mode.mbas,334 :: 		myIpAddr[2] = 1
	MOVLW       1
	MOVWF       _myIpAddr+2 
;ETHSPI Sleep mode.mbas,335 :: 		myIpAddr[3] = 60
	MOVLW       60
	MOVWF       _myIpAddr+3 
;ETHSPI Sleep mode.mbas,338 :: 		SPI1_Init()  ' init spi module
	CALL        _SPI1_Init+0, 0
;ETHSPI Sleep mode.mbas,339 :: 		SPI_Ethernet_Init(myMacAddr, myIpAddr, _SPI_Ethernet_FULLDUPLEX)           ' init ethernet module
	MOVLW       _myMacAddr+0
	MOVWF       FARG_SPI_Ethernet_Init_mac+0 
	MOVLW       hi_addr(_myMacAddr+0)
	MOVWF       FARG_SPI_Ethernet_Init_mac+1 
	MOVLW       _myIpAddr+0
	MOVWF       FARG_SPI_Ethernet_Init_ip+0 
	MOVLW       hi_addr(_myIpAddr+0)
	MOVWF       FARG_SPI_Ethernet_Init_ip+1 
	MOVLW       1
	MOVWF       FARG_SPI_Ethernet_Init_fullDuplex+0 
	CALL        _SPI_Ethernet_Init+0, 0
;ETHSPI Sleep mode.mbas,340 :: 		SPI_Ethernet_setUserHandlers(@SPI_Ethernet_UserTCP, @SPI_Ethernet_UserUDP) ' set user handlers
	MOVLW       _Spi_Ethernet_UserTCP+0
	MOVWF       FARG_SPI_Ethernet_setUserHandlers_TCPHandler+0 
	MOVLW       hi_addr(_Spi_Ethernet_UserTCP+0)
	MOVWF       FARG_SPI_Ethernet_setUserHandlers_TCPHandler+1 
	MOVLW       FARG_Spi_Ethernet_UserTCP_remoteHost+0
	MOVWF       FARG_SPI_Ethernet_setUserHandlers_TCPHandler+2 
	MOVLW       hi_addr(FARG_Spi_Ethernet_UserTCP_remoteHost+0)
	MOVWF       FARG_SPI_Ethernet_setUserHandlers_TCPHandler+3 
	MOVLW       _Spi_Ethernet_UserUDP+0
	MOVWF       FARG_SPI_Ethernet_setUserHandlers_UDPHandler+0 
	MOVLW       hi_addr(_Spi_Ethernet_UserUDP+0)
	MOVWF       FARG_SPI_Ethernet_setUserHandlers_UDPHandler+1 
	MOVLW       FARG_Spi_Ethernet_UserUDP_remoteHost+0
	MOVWF       FARG_SPI_Ethernet_setUserHandlers_UDPHandler+2 
	MOVLW       hi_addr(FARG_Spi_Ethernet_UserUDP_remoteHost+0)
	MOVWF       FARG_SPI_Ethernet_setUserHandlers_UDPHandler+3 
	CALL        _SPI_Ethernet_setUserHandlers+0, 0
;ETHSPI Sleep mode.mbas,342 :: 		while 6 <> 11
L__main54:
;ETHSPI Sleep mode.mbas,344 :: 		SPI_Ethernet_doPacket()
	CALL        _SPI_Ethernet_doPacket+0, 0
;ETHSPI Sleep mode.mbas,346 :: 		if (TestBit(PORTB,7) = 1) then
	CLRF        R1 
	BTFSS       PORTB+0, 7 
	GOTO        L__main61
	MOVLW       1
	MOVWF       R1 
L__main61:
	MOVF        R1, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main59
;ETHSPI Sleep mode.mbas,347 :: 		EthGotoSleep
	CALL        _EthGotoSleep+0, 0
L__main59:
;ETHSPI Sleep mode.mbas,350 :: 		if (TestBit(PORTB,6) = 1) then
	CLRF        R1 
	BTFSS       PORTB+0, 6 
	GOTO        L__main65
	MOVLW       1
	MOVWF       R1 
L__main65:
	MOVF        R1, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main63
;ETHSPI Sleep mode.mbas,351 :: 		EthWakeUp
	CALL        _EthWakeup+0, 0
L__main63:
;ETHSPI Sleep mode.mbas,353 :: 		wend
	GOTO        L__main54
L_end_main:
	GOTO        $+0
; end of _main
